## ros-melodic-dingo-control 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dingo_control)

find_package(catkin REQUIRED)

catkin_package()


install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/control.launch)
  roslaunch_add_file_check(launch/teleop.launch)
endif()

=== debian/changelog ===
ros-melodic-dingo-control (0.1.6-2stretch) stretch; urgency=high

  * [dingo_control] Increased acceleration limit for omnidirectional platform.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-melodic-dingo-control (0.1.5-2stretch) stretch; urgency=high

  * [dingo_control] Reduced acceleration limit for omnidirectional platform.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.4-2stretch) stretch; urgency=high

  * [dingo_control] Fixed angular axis.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.3-2stretch) stretch; urgency=high

  * Remove the 0/1 DINGO_CONTROL_EXTRAS + DINGO_CONTROL_EXTRAS_PATH, simplify to just DINGO_CONFIG_EXTRAS, like Husky & Warthog. (#6 <https://github.com/dingo-cpr/dingo/issues/6>)
  * [dingo_control] Reduced linear acceleration limits.
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.2-2stretch) stretch; urgency=high

  * [dingo_control] Reduced Dingo-O accelerations.
  * [dingo_control] Reduced line length.
  * [dingo_control] Removed linear accelerations from EKF.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.1-2stretch) stretch; urgency=high

  * Improve joy device configurability (#4 <https://github.com/dingo-cpr/dingo/issues/4>)
    * Remove the joy device from the yaml file, but keep it as the default in the launch file. Add support for a DINGO_JOY_DEV environment variable to override the default joy device.
    * Add the ASCII art diagram of the controller from Husky to make it easier to interpret the button mappings, should anyone want to remap them.
    * Expose the yaml file as an additional argument to the teleop launch file, allow overriding it with DINGO_JOY_CONFIG
  * [dingo_control] Added limits for y motion omni platform.
  * [dingo_control] Updated max velocity and acceleration limits.
  * [dingo_control] Updated robot_localization config.
  * [dingo_control] Moved control extras to botton of launch file.
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 14 Sep 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.0-2stretch) stretch; urgency=high

  * Fix the controller parameters for omni control; behaviour is now the same as ridgeback
  * Unified Dingo folders/files as much as possible, updated meshes, bumped CMake version and made roslaunch a test depend.
  * Added dingo_control; split dingo_description into separate Dingo-D and Dingo-O flavours; still much work to be done here, but preparing hand-off for Tony
  * Contributors: Chris Iverach-Brereton, Jason Higgins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 10 Aug 2020 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-dingo-control
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dingo-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-diff-drive-controller, ros-melodic-interactive-marker-twist-server, ros-melodic-joint-state-controller, ros-melodic-joy, ros-melodic-ridgeback-control, ros-melodic-robot-localization, ros-melodic-teleop-twist-joy, ros-melodic-topic-tools, ros-melodic-twist-mux
Description: Controllers for Dingo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dingo-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-dingo-control 0.1.12

=== debian/changelog ===
ros-melodic-dingo-control (0.1.12-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-melodic-dingo-control (0.1.11-2bionic) bionic; urgency=high

  * Enable subst_value in dingo_config_extras
    This should get cherry-picked into Noetic too.
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-melodic-dingo-control (0.1.10-2bionic) bionic; urgency=high

  * set predict_to_current_time
  * Contributors: Ebrahim Shahrivar

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-melodic-dingo-control (0.1.9-2bionic) bionic; urgency=high

  * Change where we load the joy_dev argument so it loads correctly
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-melodic-dingo-control (0.1.8-2bionic) bionic; urgency=high

  * Update the axes to match the latest DS4DRV update; the left stick is now axes 3/4.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 11 May 2021 04:00:00 -0000

ros-melodic-dingo-control (0.1.7-2bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-melodic-dingo-control (0.1.6-2bionic) bionic; urgency=high

  * [dingo_control] Increased acceleration limit for omnidirectional platform.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-melodic-dingo-control (0.1.5-2bionic) bionic; urgency=high

  * [dingo_control] Reduced acceleration limit for omnidirectional platform.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.4-2bionic) bionic; urgency=high

  * [dingo_control] Fixed angular axis.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.3-2bionic) bionic; urgency=high

  * Remove the 0/1 DINGO_CONTROL_EXTRAS + DINGO_CONTROL_EXTRAS_PATH, simplify to just DINGO_CONFIG_EXTRAS, like Husky & Warthog. (#6 <https://github.com/dingo-cpr/dingo/issues/6>)
  * [dingo_control] Reduced linear acceleration limits.
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.2-2bionic) bionic; urgency=high

  * [dingo_control] Reduced Dingo-O accelerations.
  * [dingo_control] Reduced line length.
  * [dingo_control] Removed linear accelerations from EKF.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.1-2bionic) bionic; urgency=high

  * Improve joy device configurability (#4 <https://github.com/dingo-cpr/dingo/issues/4>)
    * Remove the joy device from the yaml file, but keep it as the default in the launch file. Add support for a DINGO_JOY_DEV environment variable to override the default joy device.
    * Add the ASCII art diagram of the controller from Husky to make it easier to interpret the button mappings, should anyone want to remap them.
    * Expose the yaml file as an additional argument to the teleop launch file, allow overriding it with DINGO_JOY_CONFIG
  * [dingo_control] Added limits for y motion omni platform.
  * [dingo_control] Updated max velocity and acceleration limits.
  * [dingo_control] Updated robot_localization config.
  * [dingo_control] Moved control extras to botton of launch file.
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 14 Sep 2020 04:00:00 -0000

ros-melodic-dingo-control (0.1.0-2bionic) bionic; urgency=high

  * Fix the controller parameters for omni control; behaviour is now the same as ridgeback
  * Unified Dingo folders/files as much as possible, updated meshes, bumped CMake version and made roslaunch a test depend.
  * Added dingo_control; split dingo_description into separate Dingo-D and Dingo-O flavours; still much work to be done here, but preparing hand-off for Tony
  * Contributors: Chris Iverach-Brereton, Jason Higgins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 10 Aug 2020 04:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
